import { aD as VariableReference, aK as StepResult, L as Step, O as Workflow, G as Agent, aN as WorkflowContext, b7 as ToolsInput, a as Mastra, ay as StepAction, aM as WorkflowRunResult } from '../base--XfOs3DF.cjs';
export { aF as ActionContext, aE as BaseCondition, aT as DependencyCheckOutput, a_ as ExtractSchemaFromStep, b1 as ExtractSchemaType, a$ as ExtractStepResult, b2 as PathsToStringProps, aQ as ResolverFunctionInput, aR as ResolverFunctionOutput, aC as RetryConfig, aI as StepCondition, aJ as StepConfig, aH as StepDef, ax as StepExecutionContext, aB as StepGraph, aZ as StepId, b0 as StepInputType, aA as StepNode, aU as StepResolverOutput, az as StepVariableType, aL as StepsRecord, aS as SubscriberFunctionOutput, aG as WhenConditionReturnValue, aW as WorkflowActionParams, aX as WorkflowActions, aV as WorkflowActors, aP as WorkflowEvent, aO as WorkflowLogMessage, Q as WorkflowOptions, b4 as WorkflowResumeResult, b3 as WorkflowRunState, aY as WorkflowState } from '../base--XfOs3DF.cjs';
import { z } from 'zod';
import { a as Metric } from '../types-BtMyV38I.cjs';
import { L as Logger } from '../index-QV27jkxQ.cjs';
import '../base-H7siSAfu.cjs';
import 'ai';
import 'sift';
import 'json-schema';
import '../runtime-context/index.cjs';
import '@opentelemetry/api';
import 'xstate';
import 'node:events';
import 'node:http';
import 'hono';
import '../tts/index.cjs';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import '../vector/index.cjs';
import '../vector/filter/index.cjs';
import 'events';
import '../deployer/index.cjs';
import '../bundler/index.cjs';
import 'hono/cors';
import 'hono-openapi';
import 'ai/test';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function isLimboState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
    stepPath: string[];
}>;
declare function isWorkflow(step: Step<any, any, any, any> | Workflow<any, any, any, any> | Agent<any, any, any>): step is Workflow<any, any, any, any>;
declare function isAgent(step: Step<any, any, any, any> | Agent<any, any, any> | Workflow<any, any, any, any>): step is Agent<any, any, any>;
declare function resolveVariables({ runId, logger, variables, context, }: {
    runId: string;
    logger: Logger;
    variables: Record<string, VariableReference<any, any>>;
    context: WorkflowContext;
}): Record<string, any>;
declare function agentToStep<TAgentId extends string = string, TTools extends ToolsInput = ToolsInput, TMetrics extends Record<string, Metric> = Record<string, Metric>>(agent: Agent<TAgentId, TTools, TMetrics>, { mastra }?: {
    mastra?: Mastra;
}): StepAction<TAgentId, z.ZodObject<{
    prompt: z.ZodString;
}>, z.ZodObject<{
    text: z.ZodString;
}>, any>;
declare function workflowToStep<TSteps extends Step<any, any, any, any>[], TStepId extends string = any, TTriggerSchema extends z.ZodObject<any> = any, TResultSchema extends z.ZodObject<any> = any>(workflow: Workflow<TSteps, TStepId, TTriggerSchema, TResultSchema>, { mastra }: {
    mastra?: Mastra;
}): StepAction<TStepId, TTriggerSchema, z.ZodType<WorkflowRunResult<TTriggerSchema, TSteps, TResultSchema>>, any>;
declare function isConditionalKey(key: string): boolean;

export { Step, StepAction, StepResult, VariableReference, Workflow, WorkflowContext, WorkflowRunResult, agentToStep, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isAgent, isConditionalKey, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, isWorkflow, mergeChildValue, recursivelyCheckForFinalState, resolveVariables, updateStepInHierarchy, workflowToStep };
